Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1700003002: [esnext] implement String padding proposal (Closed)

Created:
1 year, 9 months ago by caitp (gmail)
Modified:
1 year, 8 months ago
Reviewers:
aperez, Dan Ehrenberg, adamk
CC:
Michael Hablich, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[esnext] implement String padding proposal Spec http://tc39.github.io/proposal-string-pad-start-end/ BUG= LOG=Y R=adamk@chromium.org, littledan@chromium.org Committed: https://crrev.com/1a272ba23ec490f73349201c014537c851f3c964 Cr-Commit-Position: refs/heads/master@{#35061}

Patch Set 1 #

Patch Set 2 : more tests? what else is there #

Patch Set 3 : oops #

Patch Set 4 : duplicate code less using a macro #

Patch Set 5 : Rebase on top of another 1000 commits #

Total comments: 4

Patch Set 6 : Remove macro #

Patch Set 7 : hide more things #

Patch Set 8 : fixup #

Patch Set 9 : fixups #

Total comments: 7

Patch Set 10 : last comments #

Total comments: 1

Patch Set 11 : remove ToObject #

Messages

Total messages: 26 (5 generated)
caitp (gmail)
here's another stage 3 proposal implementation, there's no test262 coverage yet (afaict), so the tests ...
1 year, 9 months ago (2016-02-15 23:49:51 UTC) #1
Dan Ehrenberg
On 2016/02/15 at 23:49:51, caitpotter88 wrote: > here's another stage 3 proposal implementation, there's no ...
1 year, 9 months ago (2016-02-16 15:30:35 UTC) #2
caitp (gmail)
On 2016/02/16 15:30:35, Dan Ehrenberg wrote: > On 2016/02/15 at 23:49:51, caitpotter88 wrote: > > ...
1 year, 9 months ago (2016-02-16 15:48:15 UTC) #3
caitp (gmail)
On 2016/02/16 15:48:15, caitp wrote: > On 2016/02/16 15:30:35, Dan Ehrenberg wrote: > > On ...
1 year, 9 months ago (2016-02-16 19:29:25 UTC) #4
aperez
On 2016/02/16 19:29:25, caitp wrote: > On 2016/02/16 15:48:15, caitp wrote: > > On 2016/02/16 ...
1 year, 9 months ago (2016-02-19 16:00:45 UTC) #5
caitp (gmail)
On 2016/02/16 15:30:35, Dan Ehrenberg wrote: > On 2016/02/15 at 23:49:51, caitpotter88 wrote: > > ...
1 year, 8 months ago (2016-03-23 13:23:25 UTC) #6
caitp (gmail)
On 2016/03/23 13:23:25, caitp wrote: > On 2016/02/16 15:30:35, Dan Ehrenberg wrote: > > On ...
1 year, 8 months ago (2016-03-23 14:06:18 UTC) #7
Dan Ehrenberg
Sorry for the delay in the review. https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: macro STRING_PAD_COMMON(NAME, ...
1 year, 8 months ago (2016-03-23 15:59:50 UTC) #9
caitp (gmail)
https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: macro STRING_PAD_COMMON(NAME, MAXLENGTH, FILLSTRING, S, FILLER) On 2016/03/23 15:59:50, ...
1 year, 8 months ago (2016-03-23 17:00:41 UTC) #10
Dan Ehrenberg
https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: macro STRING_PAD_COMMON(NAME, MAXLENGTH, FILLSTRING, S, FILLER) On 2016/03/23 at ...
1 year, 8 months ago (2016-03-23 17:30:18 UTC) #11
caitp (gmail)
https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/80001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: macro STRING_PAD_COMMON(NAME, MAXLENGTH, FILLSTRING, S, FILLER) On 2016/03/23 17:30:17, ...
1 year, 8 months ago (2016-03-23 20:45:45 UTC) #12
Dan Ehrenberg
https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: function StringPadCommon(self, maxLength, fillString, fillerAtStart) { Nit: Maybe call ...
1 year, 8 months ago (2016-03-23 23:34:24 UTC) #13
caitp (gmail)
https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js#newcode22 src/js/harmony-string-padding.js:22: function StringPadCommon(self, maxLength, fillString, fillerAtStart) { On 2016/03/23 23:34:24, ...
1 year, 8 months ago (2016-03-23 23:36:34 UTC) #14
caitp (gmail)
https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js File src/js/harmony-string-padding.js (right): https://codereview.chromium.org/1700003002/diff/160001/src/js/harmony-string-padding.js#newcode56 src/js/harmony-string-padding.js:56: else return S + filler; On 2016/03/23 23:36:34, caitp ...
1 year, 8 months ago (2016-03-23 23:37:34 UTC) #15
caitp (gmail)
Done all of these --- it's not ideal (the macro would have been better), but ...
1 year, 8 months ago (2016-03-24 13:57:04 UTC) #16
Dan Ehrenberg
This looks good--I think repeating two lines is worth it if it means we don't ...
1 year, 8 months ago (2016-03-24 15:25:12 UTC) #17
caitp (gmail)
done
1 year, 8 months ago (2016-03-24 15:35:20 UTC) #18
Dan Ehrenberg
lgtm
1 year, 8 months ago (2016-03-24 15:51:21 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1700003002/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1700003002/200001
1 year, 8 months ago (2016-03-24 15:54:49 UTC) #23
commit-bot: I haz the power
Committed patchset #11 (id:200001)
1 year, 8 months ago (2016-03-24 17:15:00 UTC) #24
commit-bot: I haz the power
1 year, 8 months ago (2016-03-24 17:15:19 UTC) #26
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/1a272ba23ec490f73349201c014537c851f3c964
Cr-Commit-Position: refs/heads/master@{#35061}

Powered by Google App Engine
This is Rietveld efc10ee0f